Skip to content

Eval Feedback of AI Assistant Query.

POST
/api/gen-ai/namespaces/{namespace}/eval_query_feedback
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gen-ai/namespaces/example/eval_query_feedback \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "comment": "example", "namespace": "example", "negative_feedback": { "remarks": [ "OTHER" ] }, "positive_feedback": {}, "query": "example", "query_id": "example" }'

Temporarily to be used in place of AIAssistantFeedback for evaluating API access/RBAC check.

Examples of this operation.

namespace
required
string

Namespace Namespace of the HTTP Load Balancer for current request.

Media typeapplication/json
AI Assistant Query Feedback Request

AI Assistant Query Feedback Request.

object
comment
comment

Configuration parameter for comment

string
<= 4096 characters
namespace
namespace

Namespace of the HTTP Load Balancer for current request.

string
>= 6 characters <= 1024 characters
negative_feedback
object
remarks
remarks

Configuration parameter for remarks

Array<string>
Allowed values: OTHER INACCURATE_DATA IRRELEVANT_CONTENT POOR_FORMAT SLOW_RESPONSE
positive_feedback
object
query
query

Query will be in text format.

string
<= 1024 characters
query_id
query_id

Query Identifier.

string
<= 1024 characters

A successful response.

Media typeapplication/json
Empty

This can be used for messages where no values are needed.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example